package org.kne.cloud.network.srv6;

public interface DijkstraAlgorithm extends Runnable{
	public static final long MAX_WEIGHT=Long.MAX_VALUE/256L;
	public void setGraph(long[][]pointers,long[][]heap,long startPoint) ;
	public void run();
	public long[] getDirection();
	public long[] getShortest();
}
